<?php
get_header();
?>
<main id="primaryid" class="site-main">
	<div class="blog-div container mt-5 mb-5">
		<div class="row blog-layout">
			<div class="col-lg-8 col-md-8 col-12 front-post">
				<?php
				if ( have_posts() ) :

					if ( is_home() && ! is_front_page() ) :
						?>
						<header>
							<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
						</header>
						<?php
					endif;
					?>
					<div class="row mainrow g-4">
						<?php
						while ( have_posts() ) :
							the_post();
							?>
							<div class="col-lg-6 col-md-6 col-12 p-2">
								<?php get_template_part( 'template-parts/content', get_post_type() ); ?>
							</div>
							<?php
						endwhile;
						?>
					</div>

					<?php
					the_posts_navigation();

				else :

					get_template_part( 'template-parts/content', 'none' );

				endif;
				?>
			</div>
			<div class="col-lg-4 col-md-4 col-12 blog-sidebar-col">
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main><!-- #main -->

<?php
get_footer();
